Updated CPAN-Meta to CPAN version 2.120921
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Thu, 31 May 2012 19:08:13 +0000 (20:08 +0100)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Fri, 15 Jun 2012 13:33:49 +0000 (14:33 +0100)
commit2dde78c805d5b8715c7194600056f758aa51f982
treef215436c77659c1fec8cd1246fa0d07f831b9940
parentb6ae0ea7f180d433b705f6494697c84e9cf6010f
Updated CPAN-Meta to CPAN version 2.120921

  [DELTA]

  2.120921  2012-04-01 15:20:24 Europe/Paris

  [REMOVED]

  - CPAN::Meta::Requirements has been split out into its own distribution
    so it can be used by CPAN.pm without requiring all of CPAN::Meta

  2.120920  2012-04-01 11:30:43 Europe/Paris

  [ADDED]

  - CPAN::Meta::Requirements now has a 'requirements_for_module' method
    to retrieve a version requirements string for a specific module
    [Leon Timmermans]

  [OTHER]

  - Parse::CPAN::Meta prerequisite bumped to 1.4403
  - JSON::PP prerequisites bumped to 2.27200
  - CPAN::Meta::YAML prerequisite bumped to 0.008

  2.120900  2012-03-30 13:15:15 Europe/Paris

  [BUGFIX]

  - CPAN::Meta::Requirements now treats undef requirements given to
    from_string_hash() as '0' and warns about it; add_string_requirements()
    dies if it does not get a requirements string to parse
19 files changed:
MANIFEST
Porting/Maintainers.pl
cpan/CPAN-Meta/Changes
cpan/CPAN-Meta/lib/CPAN/Meta.pm
cpan/CPAN-Meta/lib/CPAN/Meta/Converter.pm
cpan/CPAN-Meta/lib/CPAN/Meta/Feature.pm
cpan/CPAN-Meta/lib/CPAN/Meta/History.pm
cpan/CPAN-Meta/lib/CPAN/Meta/Prereqs.pm
cpan/CPAN-Meta/lib/CPAN/Meta/Requirements.pm [deleted file]
cpan/CPAN-Meta/lib/CPAN/Meta/Spec.pm
cpan/CPAN-Meta/lib/CPAN/Meta/Validator.pm
cpan/CPAN-Meta/t/accepts.t [deleted file]
cpan/CPAN-Meta/t/bad_version_hook.t [deleted file]
cpan/CPAN-Meta/t/basic.t [deleted file]
cpan/CPAN-Meta/t/finalize.t [deleted file]
cpan/CPAN-Meta/t/from-hash.t [deleted file]
cpan/CPAN-Meta/t/merge.t [deleted file]
cpan/CPAN-Meta/t/prereqs.t
cpan/CPAN-Meta/t/strings.t